<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\SoftwareEntity;
use App\Models\Equipment\Part\SoftwareModel;
use CodeIgniter\HTTP\IncomingRequest;

class SoftwareService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Software');
    }
    public function getModelClass(): SoftwareModel
    {
        return new SoftwareModel();
    }
    public function getEntityClass(): SoftwareEntity
    {
        return new SoftwareEntity();
    }
    public function getFormFields(): array
    {
        return [
            "type",
            "model",
            "status",
            "description",
        ];
    }
    public function getFilterFields(): array
    {
        return ['type', 'status'];
    }
    public function getBatchJobFields(): array
    {
        return ['type', 'status'];
    }
    public function getIndexFields(): array
    {
        return ['type', 'model', 'status'];
    }
}
